# DP: Description: Optimizes the build for sparcv9
# DP: Author: Ben Collins, Aurelien Jarno
# DP: Upstream status: Debian-Specific
# DP: Status Details:
# DP: Date: July 19, 2007

---
 configure    |    5 +++++
 configure.in |    5 +++++
 2 files changed, 10 insertions(+)

--- a/configure
+++ b/configure
@@ -3421,6 +3421,11 @@
   machine="powerpc"
 fi
 
+# Force v9
+if test "$machine" = sparc; then
+   machine="sparcv9"
+fi
+
 # Braindead PowerPC box with absolutely no FPU.
 case "$machine-$host_os" in
   powerpc*-*soft)
--- a/configure.in
+++ b/configure.in
@@ -375,6 +375,11 @@
   machine="powerpc"
 fi
 
+# Force v9
+if test "$machine" = sparc; then
+   machine="sparcv9"
+fi
+
 # Braindead PowerPC box with absolutely no FPU.
 case "$machine-$host_os" in
   powerpc*-*soft)
